<template>
  <v-container color="#F5F5F5">
    <v-row>
      <v-col cols="12" class="text-center">
        <v-card class="pa-3" outlined align="center">
          <v-avatar size="200" align="center">
            <img src="../assets/profile.jpg" alt="Profile Picture" />
          </v-avatar>
          <v-row align="center">
            <v-col cols="12">
              <v-card-text class="titles-tyle">ภูริ ชาโนจุติ</v-card-text>
              <v-card-text class="subtitle-style">
                นักพัฒนาซอฟต์แวร์
              </v-card-text>
            </v-col>
          </v-row>
          <!-- <v-card-text>
            <p>
              ฉันมีความสามารถในการพัฒนาซอฟต์แวร์และเว็บไซต์โดยใช้ภาษา JavaScript
              และ Vue.js
            </p>
            <p>
              ฉันชอบการเรียนรู้เกี่ยวกับเทคโนโลยีใหม่ ๆ
              และมีความกระตือรือร้นในการพัฒนาโปรแกรมที่มีประสิทธิภาพ
            </p>
          </v-card-text> -->
          <v-divider></v-divider>
          <v-card-actions>
            <v-btn text>ติดต่อฉัน </v-btn>

            <v-spacer></v-spacer>
            <a href="https://www.facebook.com/purichanojuti" target="_blank">
              <v-btn text color="primary">FB: Puri Chanojuti</v-btn>
            </a>
          </v-card-actions>
          <ul class="contact-list">
            <li>E-mail: puri.poo44@gmail.com<br /></li>
            <li>Line: Puh_2544<br /></li>
            <li>Tel: 0640280520<br /></li>
          </ul>
        </v-card>
      </v-col>
    </v-row>

    <v-row>
      <v-col cols="12">
        <v-card>
          <v-row align="center">
            <!-- <v-card-text class="titles-tyle"> ประวัติด้านการศึกษา </v-card-text> -->
            <v-card-text class="subtitle-style"
              >ประวัติด้านการศึกษา
            </v-card-text>
          </v-row>
          <v-timeline direction="horizontal">
            <v-timeline-item>
              <!-- <template v-slot:opposite> Opposite content </template> -->
              <div>
                <div class="text-h6">ระดับมัธยมศึกษาตอนต้น</div>
                <p>โรงเรียนพระแสงวิทยา</p>
              </div>
            </v-timeline-item>

            <v-timeline-item>
              <!-- <template v-slot:opposite> Opposite content </template> -->
              <div class="timeline-item-right">
                <div class="text-h6">ระดับมัธยมศึกษาตอนปลาย</div>
                <p>โรงเรียนพระแสงวิทยา</p>
              </div>
            </v-timeline-item>

            <v-timeline-item>
              <!-- <template v-slot:opposite> Opposite content </template> -->
              <div>
                <div class="text-h6">ระดับอุดมศึกษา</div>
                <p>
                  มหาวิทยาลัยสงขลานครินทร์<br />
                  คณะวิศวกรรมศาสตร์ สาขาวิศวกรรมคอมพิวเตอร์
                </p>
              </div>
            </v-timeline-item>
          </v-timeline>
          <v-divider></v-divider>
          <v-card-text>
            <div class="skill">
              <div class="skill-title">ทักษะและความสามารถ</div>
              <ul>
                <li>การเขียนโปรแกรม: JavaScript, HTML/CSS</li>
                <li>การพัฒนาเว็บแอปพลิเคชัน: Vue.js, React.js</li>
                <li>การจัดการฐานข้อมูล: SQL, MongoDB</li>
                <li>การทำงานร่วมกับทีมได้ดี</li>
              </ul>
            </div>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>

    <v-row>
      <v-col cols="4">
        <v-card class="mx-left" max-width="400">
          <v-img
            class="white--text align-end"
            height="200px"
            src="https://i.etsystatic.com/25012006/r/il/12bf7e/3540144509/il_570xN.3540144509_76zi.jpg"
          >
            <!-- <v-card-title>Top 10 Australian beaches</v-card-title> -->
          </v-img>

          <v-card-subtitle class="pb-0"> Liverpool FC</v-card-subtitle>

          <v-card-text class="text--primary">
            <div>เป็นทีมฟุตบอลที่ติดตามและตามเชียร์</div>
          </v-card-text>
        </v-card>
      </v-col>
      <v-col cols="4">
        <v-card class="mx-center" max-width="400">
          <v-img
            class="white--text align-end"
            height="200px"
            src="https://static.independent.co.uk/2023/08/04/12/newFile-5.jpg"
          >
            <!-- <v-card-title>Top 10 Australian beaches</v-card-title> -->
          </v-img>

          <v-card-subtitle class="pb-0">
            Trent Alexander Arnold</v-card-subtitle
          >

          <v-card-text class="text--primary">
            <div>เป็นนักฟุตบอลที่ชื่นชอบที่สุด</div>
            <!-- 
            <div>Whitsunday Island, Whitsunday Islands</div> -->
          </v-card-text>
          <!-- 
          <v-card-actions>
            <v-btn color="orange" text> Share </v-btn>

            <v-btn color="orange" text> Explore </v-btn>
          </v-card-actions> -->
        </v-card>
      </v-col>
      <v-col cols="4">
        <v-card class="mx-center" max-width="400">
          <v-img
            class="white--text align-end"
            height="200px"
            src="https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEibplhzKG4zltY-KzQFF0kygcI3BQdApQIHHSQ79Q_CEGaJjCYYM1nZCkbAJ3NpJv0nBJDh8m7CIBRXs8HER6io9o7jS9buET8W5epDmIXzyet8n3RoKUW3jMEdK_YqKDoVCoAEJPeS3PtQ/w1200-h630-p-k-no-nu/Oasis.jpg"
          >
            <!-- <v-card-title>Top 10 Australian beaches</v-card-title> -->
          </v-img>

          <v-card-subtitle class="pb-0">Oasis Band</v-card-subtitle>

          <v-card-text class="text--primary">
            <div>เป็นวงดนตรีแนวสากล Classic ที่ชอบฟังที่สุด</div>
            <!-- 
            <div>Whitsunday Island, Whitsunday Islands</div> -->
          </v-card-text>

          <!-- <v-card-actions>
            <v-btn color="orange" text> Share </v-btn>

            <v-btn color="orange" text> Explore </v-btn>
          </v-card-actions> -->
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {};
</script>

<style>
.titles-tyle {
  text-align: center;
  font-size: 24px;
  font-weight: bold;
  color: #333;
  margin-bottom: 10px;
}

.subtitle-style {
  text-align: center;
  font-size: 18px;
  font-weight: bold;
  color: #666;
  margin-bottom: 10px;
}
.timeline-item-right {
  text-align: right;
}
.skill-title {
  font-weight: bold;
  font-size: 20px;
  margin-bottom: 10px;
}
.contact-list {
  text-align: left; /* ให้ข้อความชิดซ้าย */
}
</style>
